apiVersion: networking.istio.io/v1beta1
kind: Gateway
metadata:
  name: registry
  namespace: gitlab
spec:
  selector:
    istio: gateway
  servers:
    - port:
        number: 443
        name: https-443
        protocol: HTTPS
      hosts:
        - registry.${cluster}.${region}.${project}.${provider}.${domain}
        - registry.${global_endpoint}
      tls:
        mode: SIMPLE
        credentialName: gitlab-registry
